using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "armures")]
    public class Armure : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "type")]
        public string? Type { get; set; }

        [XmlAttribute(AttributeName = "pa_tête")]
        public int PaTête { get; set; }

        [XmlAttribute(AttributeName = "pa_bras")]
        public int PaBras { get; set; }

        [XmlAttribute(AttributeName = "pa_corps")]
        public int PaCorps { get; set; }

        [XmlAttribute(AttributeName = "pa_jambes")]
        public int PaJambes { get; set; }

        [XmlAttribute(AttributeName = "effet")]
        public string? Effet { get; set; }

        [XmlAttribute(AttributeName = "poids")]
        public string Poids { get; set; }

        [XmlAttribute(AttributeName = "prix")]
        public int Prix { get; set; }

        [XmlAttribute(AttributeName = "qualité")]
        public string? Qualité { get; set; }

        [XmlAttribute(AttributeName = "disponibilité")]
        public string? Disponibilité { get; set; }

        [XmlAttribute(AttributeName = "description")]
        public string? Description { get; set; }
        [XmlIgnore] public int ArmureId { get; set; }
    }


}
